<template>
  <section class="section">
    <div class="container">
      <h1 class="title">Repositories</h1>
      <div class="columns is-centered has-text-left">
        <div class="column is-10">
          <hr>
          <strong>You have {{ repos.length }} repositories.</strong><br>
          <br>
          <div class="columns is-multiline">
            <div class="box column is-3" v-for="repo in repos" :key="repo.id">
              <article class="media">
                <div class="media-content">
                  <div class="content">
                    <p>
                      <strong>{{ repo.name }}</strong> - <small>{{ repo.dependencies.length || 0 }} dependencies</small>
                      <br>
                      <small>{{ repo.description }}</small>
                    </p>
                  </div>
                </div>
              </article>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
import REPOS_QUERY from '@/graphql/User/Repos.gql'
export default {
  apollo: {
    repos: REPOS_QUERY,
    fetchPolicy: 'cache-and-network'
  }
}
</script>

<style>
.box {
  margin: 0.4rem;
}
</style>
